/*
 * Copyright (C) 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <stdlib.h>
#include <string.h>
#include <llcp_api.h>

#define DEFAULT_VALUE 0x02
#define SIZE 16
#define LENGTH 1

extern bool llcp_util_parse_link_params(uint16_t length, uint8_t* p_bytes);

int main() {
  const int32_t offset = SIZE - LENGTH;
  uint8_t* p_bytes = (uint8_t *)malloc(SIZE);
  if (!p_bytes) {
    return EXIT_FAILURE;
  }
  memset(p_bytes, DEFAULT_VALUE, SIZE);

  llcp_util_parse_link_params(LENGTH, &p_bytes[offset]);

  free(p_bytes);
  return EXIT_SUCCESS;
}
